/*
--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6

- Letter spacing
-0.5px
0.75px

--- 02 COLORS

- Primary: #e67e22, #17b758, #418ac9, #f6f6f6
- Tints:
#fdf2e9
#fae5d3
#eb984e

#e4f8ec
#bcffd7
#e4f6f8

- Shades:
#cf711f
#45260a

#17a951
#275138

- Accents:
- Greys

#888
#767676 (lightest grey allowed on #fff)
#6f6f6f (lightest grey allowed on #fdf2e9)
#555
#333

--- 05 SHADOWS

0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER-RADIUS

Default: 9px
Medium: 11px

--- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;

  /* Only works if there is nothing absolutely positioned
  in relation to body */
  overflow-x: hidden;
  user-select:none;
}

/*******************************/
/* GENERAL REUSABLE COMPONENTS */
/*******************************/
.container {
  /* There is a value of container content width by convention: 1140px.
  So we set border-box width to 1200px
  and then set side paddings to 32px each,
  so our content width end up with 1136px(1200px - 32px - 32px)
  that is close enough to that convention. */
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
  /* margin-bottom: 9.6rem; */
}

/* .grid:last-child {
  margin-bottom: 0;
} */

.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}

.grid--center-v {
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary 
.heading-article{
  color: #333;
  font-weight: 700;
  letter-spacing: -0.1px;
}

.heading-primary {
  font-size: 4.9rem;
  line-height: 1.05;
  margin-bottom: 10.2rem;
}

.heading-secondary {
  font-size: 4.1rem;
  line-height: 1.2;
  margin-bottom: 3.6rem;
}

html[lang="he"] .heading-secondary {
  font-size: 3.9rem;
}

.heading-tertiary {
  color: #418ac9;
  font-size: 3rem;
  line-height: 1.2;
 /*  margin-bottom: 2.2em;  */
}

.heading-article {
  color: #418ac9;
  text-align: center;
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 1.6em;
}

html[lang="he"] .heading-tertiary {
  font-size: 2.8rem;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #17a951;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;

  text-decoration: none;
  font-size: 2rem;
  border-width: 600px;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;

  /* Only necessary for .btn */
  border: none;
  cursor: pointer;

  /* ALWAYS put transition on original "state"! */
  /* transition: background-color 0.3s; */
  transition: all 0.3s;
  /* transition all properties */
}

.btn--full:link,
.btn--full:visited {
  background-color: #17b758;
  color: #fff;
}

.btn--full:hover,
.btn--full:active {
  background-color: #17a951;
}

.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}

.btn--outline:hover,
.btn--outline:active {
  background-color: #e4f8ec;

  /* this will not work -> border: 3px solid #fff; */
  /* instead -> trick to add border inside: */
  box-shadow: inset 0 0 0 3px #fff;
}

.btn--form {
  background-color: #275138;
  color: #fdf2e9;
  align-self: end;
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

.link:link,
.link:visited {
  display: inline-block;
  color: #17b758;
  text-decoration: none;
  border-bottom: 1px solid currentcolor;
  padding-bottom: 2px;
  transition: all 0.3s;
}

.link:hover,
.link:active {
  color: #cf7111;
  border-bottom: 1px solid transparent;
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.list-item {
  font-size: 1.8rem;
  display: grid;
  grid-template-columns: 1fr 8fr;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
}

.list-icon {
  width: 2.6rem;
  height: 2.6rem;
  color: #17b758;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem #c7e1fa;
}

/* HELPER/SETTINGS CLASSES */
.margin-right-sm {
  margin-right: 1.6rem !important;
}

html[lang="he"] .margin-right-sm {
  margin: 0 0 0 1.6rem !important;
}

.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}

.center-text {
  text-align: center;
}

strong {
  /* redefine strong's default value of 700 to 500 */
  font-weight: 500;
}

.t497 .t-section__topwrapper{margin-bottom:105px}.t497 .t-section__title{margin-bottom:40px}.t497 .t-section__descr{max-width:560px}.t497 .t-section__bottomwrapper{margin-top:105px}#allrecords .t497__container{margin-bottom:0;padding-left:0;list-style:none}.t497__container{display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap}.t497__container li ul{list-style-type:disc}.t497 .t-list__item{margin-top:90px}.t497 .t-list__item:nth-child(-n+2){margin-top:0!important}.t497 .t-row{overflow:hidden}.t497__textwrapper{padding-left:20px;width:100%}.t497__imgwrapper{width:45px}.t497__bgimg{width:45px;height:45px;background-size:cover;background-repeat:no-repeat;background-position:center}.t497__img{max-width:100%;width:100%;height:auto}.t497__img_circle{border-radius:50%;-moz-border-radius:50%;-webkit-border-radius:50%}.t497__name{padding-bottom:8px}@media screen and (max-width:960px){.t497__separator{margin-bottom:0px!important}.t497 .t-section__bottomwrapper{margin-top:45px}.t497 .t-section__topwrapper{margin-bottom:45px}.t497 .t-section__title{margin-bottom:20px}.t497 .t-list__item,.t497 .t-list__item:nth-child(-n+2){margin-top:30px!important}.t497 .t-list__item:first-child{margin-top:0!important}.t497__bgimg{max-width:50px!important;max-height:50px!important}.t497__imgwrapper{max-width:50px!important}.t497__col_first{margin-top:0px!important}}
